Subject: Re: bug#13152: 24.2.90; [REGRESSION] dired-get-marked-files changed

From: Glenn Morris <[email-masked]>
Date: Tue, 08 Jan 2013 17:35:44 -0500

Maybe you can just make dired-get-marked-files throw an explicit error
"Not in Dired mode" unless (derived-mode-p 'dired-mode), though I still
don't see what the big deal is here. You would need to check ever caller
to make sure this did not break anything.